---
title: Release 0.6.0
---

## Release 0.6.0

0.6.0 is a major feature release of the InvenTree software project. For a comprehensive list of changes associated with this release, refer to the [InvenTree GitHub page](https://github.com/inventree/InvenTree/milestone/8).

## New Features

### Build Order Allocation

PR [#2094](https://github.com/inventree/InvenTree/pull/2094) represents a significant improvement to the worflow for allocating stock items against a build order. A new API endpoint has been created allowing stock items to be allocated against builds, with dynamic validation and feedback of error messages.

Additionally the workflow and UX has been simplified, allowing greater efficiency of stock allocation against a build order.

### Receiving Purchase Orders

PR [#2102](https://github.com/inventree/InvenTree/pull/2102) provides a major refactor of the process by which stock items are received against a purchase order. The receiving process now makes use of the REST API for a more responsive and intuitive user experience.

### Stock Adjustments

PR [#2103](https://github.com/inventree/InvenTree/pull/2103) provides a major improvement to the stock adjustment API. While remaining backwards compatible, the API endpoints for stock adjustments (stocktake, quantity adjustment, stock transfer) have been updated to use the DRF serializer framework. This provides a more streamlined user experience with improved error checking and handling.

### Sales Order Allocations

PR [#2110](https://github.com/inventree/InvenTree/pull/2110) provides a major refactor of the process by which stock items are allocated against a sales order. The process now makes use of the REST API for a more responsive and intuitive user experience.

### Delete Old Error Messages

PR [#2113](https://github.com/inventree/InvenTree/pull/2113) adds a background task to periodically remove old error messages from the database. Error messages are retained in the database for 30 days, after which point they are removed.

### Sales Order Export

PR [#2119](https://github.com/inventree/InvenTree/pull/2119) adds the ability to export sales order information in a variety of supported file formats.

### SSO Support

PR [#2017](https://github.com/inventree/InvenTree/pull/2017) adds support for SSO (single sign on) authentication. SSO integration requires configuration by the system administrator. Refer to the [SSO documentation](../settings/sso) for further information.

### BOM Substitution

PR [#2150](https://github.com/inventree/InvenTree/pull/2150) adds support for *Bill of Materials Substitution*. This allows substitute parts to be individually specified against BOM line items, allowing for stock of the substituted parts to be used for build order allocation if the original part is not available.

### Build Completion 

PR [#2159](https://github.com/inventree/InvenTree/pull/2159) provides a major improvement to the process by which build outputs are completed. The build output completion process now uses the API and provides a much more intuitive and efficient user interface.

### Bootstrap Yourselves In

PR [#2205](https://github.com/inventree/InvenTree/pull/2205) represents a major visual overhaul of the user interface, updating to bootstrap 5.

### Low Stock Notifications

PR [#2208](https://github.com/inventree/InvenTree/pull/2208) provides notification emails when the stock level for a particular part falls below the configured "minimum stock" threshold for that part. An email is automatically sent to any users who are subscribed to notifications for that part.

### Stock Item Forms

PR [#2198](https://github.com/inventree/InvenTree/pull/2198) provides a major refactor of stock item forms, for creating and editing stock items. These forms have been migrated to the REST API, providing a much more responsive user experience.

## Major Bug Fixes

| Pull Request | Description |
| --- | --- |
